Profiles
Get profile
A Steam account's profile, level, friend count and ban record. Costs 1 credit. Needs the Starter plan or above.
x-api-key<token>
In: header
Path Parameters
steamId*string
A SteamID64, a Steam Community profile URL or a custom-URL (vanity) name.
Length
length <= 200Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/profiles/{steamId}"{ "steamId": "76561198210421051", "personaName": "Jesus", "avatar": "https://avatars.steamstatic.com/33306bc5b6ab9642c7db90d89d3e9e5fb4101894_full.jpg", "profileUrl": "https://steamcommunity.com/profiles/76561198210421051/", "isPublic": true, "countryCode": "US", "createdAt": "2015-08-02T16:45:47.000Z", "steamLevel": 12, "gameCount": 10, "playtime": { "totalMinutes": 4301, "cs2Minutes": 3860 }, "friendCount": 0, "bans": { "vacBans": 0, "gameBans": 0, "communityBanned": false, "economyBan": "none", "daysSinceLastBan": 0 }}